import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_DistributeHorizontalCenter24 = {
  name: 'DistributeHorizontalCenter24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = _objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M24 10H23V2H21v8H20a2.0023 2.0023 0 0 0-2 2v8a2.0023 2.0023 0 0 0 2 2h1v8h2V22h1a2.0023 2.0023 0 0 0 2-2V12A2.0023 2.0023 0 0 0 24 10zm0 10H20V12h4zM12 6H11V2H9V6H8A2.0023 2.0023 0 0 0 6 8V24a2.0023 2.0023 0 0 0 2 2H9v4h2V26h1a2.0023 2.0023 0 0 0 2-2V8A2.0023 2.0023 0 0 0 12 6zm0 18H8V8h4z"
      }
    }), children]);
  }
};

export default virtual_DistributeHorizontalCenter24;
