'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_AlignHorizontalRight20 = {
  name: 'AlignHorizontalRight20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = __chunk_1._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M4 24V20a2.0023 2.0023 0 0 1 2-2H21a2.0023 2.0023 0 0 1 2 2v4a2.0023 2.0023 0 0 1-2 2H6A2.0023 2.0023 0 0 1 4 24zm2 0H21V20L6 19.9988zM12 12V8a2.0023 2.0023 0 0 1 2-2h7a2.0023 2.0023 0 0 1 2 2v4a2.0023 2.0023 0 0 1-2 2H14A2.0023 2.0023 0 0 1 12 12zm2 0h7V8l-7-.0012z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26 2H28V30H26z",
        "transform": "rotate(-180 27 16)"
      }
    }), children]);
  }
};

module.exports = virtual_AlignHorizontalRight20;
