'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_QrCode24 = {
  name: 'QrCode24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = __chunk_1._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M24 26H26V28H24z",
        "transform": "rotate(-90 25 27)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18 22H20V24H18z",
        "transform": "rotate(-90 19 23)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18 30L22 30 22 28 20 28 20 26 18 26 18 30z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25 23H29V25H25z",
        "transform": "rotate(-90 27 24)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M28 26L30 26 30 30 26 30 26 28 28 28 28 26zM26 20L26 18 30 18 30 22 28 22 28 20 26 20zM24 20L22 20 22 24 20 24 20 26 24 26 24 20z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M19 17H21V21H19z",
        "transform": "rotate(-90 20 19)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M6 22H10V26H6z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M14 30H2V18H14zM4 28h8V20H4zM22 6H26V10H22z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M30 14H18V2H30zM20 12h8V4H20zM6 6H10V10H6z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M14,14H2V2H14ZM4,12h8V4H4Z"
      }
    }), children]);
  }
};

module.exports = virtual_QrCode24;
