'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_VirtualPrivateCloudAlt32 = {
  name: 'VirtualPrivateCloudAlt32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class = svgData.class || {}; // may be no static class

      svgData.class[data.class] = true;
    } // remove style set by getAttributes


    delete svgData.attrs.style; // combine incoming staticStyle, style with default willChange

    svgData.style = __chunk_1._objectSpread2({
      willChange: 'transform'
    }, data.staticStyle, {}, data.style);
    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M23.4141,22,10,8.5859V2H2v8H8.5859L22,23.4141V30h8V22ZM8,8H4V4H8ZM28,28H24V24h4Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M30 6a3.9915 3.9915 0 0 0-7.8579-1H13V7h9.1421A3.9945 3.9945 0 0 0 25 9.8579V19h2V9.8579A3.9962 3.9962 0 0 0 30 6zM26 8a2 2 0 1 1 2-2A2.0023 2.0023 0 0 1 26 8zM19 25H9.8579A3.9945 3.9945 0 0 0 7 22.1421V13H5v9.1421A3.9915 3.9915 0 1 0 9.8579 27H19zM6 28a2 2 0 1 1 2-2A2.0023 2.0023 0 0 1 6 28z"
      }
    }), children]);
  }
};

module.exports = virtual_VirtualPrivateCloudAlt32;
